playmp3list(1)

NAME
playmp3list - An ncurses-based mp3 player frontend to mpg123

SYNOPSIS
playmp3list [options] <playlist>
playmp3list [options] <directory>
playmp3list [options] <song> [<song>...]

DESCRIPTION
Playmp3list is an ncurses-based mp3 player that uses mpg123 to do decoding. Use it to browse playlists, directories and 'virtual playlists' even while playing. Features include fully configurable key mappings and color schemes, standard player controls via hot keys, time elapsed and song format displays and more.

OPTIONS
-p
    Auto start playing
-s
    Auto shuffle
-r
    Auto repeat
-t
    Display time remaining
-a
    Alphabetise playlist by filename (ignores path)
-f
    Display full path in playlist
-i
    Load ID3v1 tags on startup
-d
    Save debug info to ~/playmp3list.debug
-T <x>
        Use a particular theme
-P <x>
        Specify mpg123 parameters
-N <x>
        Specify mpg123 process priority
-V <x>
        Specify initial volume

RC FILES
/etc/playmp3listrc
    The system-wide configuration file
~/.playmp3listrc
    The per-user configuration file (overrides /etc/playmp3listrc if present)

USAGE
If you just want to start browsing from the current directory and sort the playlist in alphabetical order, try something like:

playmp3list -a .

Once you run the program it will (hopefully) pop up a nice window containing a standard scrollable list of files (your playlist) and a bar at the bottom with the song name, playback state, and more info. If mpg123 starts succesfully, a message "Decoder 'MPG123' started. (Press ? for list of default keys)." will appear in the bottom bar. This is a good sign it's probably all working.

Too see a list of the default control keys, press ? or H. These are the key mappings in use when no rc files exist, and correspond to the keys defined in the original rc file that is distributed with the program. If a user running playmp3list has a ~/.playmp3listrc file, it will be used, otherwise the file /etc/playmp3listrc will be used. Edit whicheverer is applicable to specify your own key mappings, change startup settings, edit and choose color schemes (themes) and specify jump directories. See README for more...

BUGS
If you experience crashes or mysterious behaviour, enable debugging with the -d option. All debug messages will be sent to ~/playmp3list.debug. If necessary, mail this file to me, together with a description of what happened.

AUTHOR
Paul Urban <urban@rucus.ru.ac.za>

SEE ALSO
mpg123(1),renice(8)